## org.freedesktop.Geoclue.Position org.freedesktop.Geoclue.Position — Position interface |

## Methods

    GetPosition (out 'i'fields,
                 out 'i'timestamp,
                 out 'd'latitude,
                 out 'd'longitude,
                 out 'd'altitude,
                 out '(idd)'accuracy)

## Signals

    PositionChanged ('i'fields,
                     'i'timestamp,
                     'd'latitude,
                     'd'longitude,
                     'd'altitude,
                     '(idd)'accuracy)

## Implemented Interfaces

org.freedesktop.Geoclue.Position implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

## Description

Position interface contains a method and a signal for querying current coordinates.

## Details

### GetPosition ()

    GetPosition (out 'i'     fields,
                 out 'i'     timestamp,
                 out 'd'     latitude,
                 out 'd'     longitude,
                 out 'd'     altitude,
                 out '(idd)' accuracy)

`fields`: |
`timestamp`: |
`latitude`: |
`longitude`: |
`altitude`: |
`accuracy`: |

## Signal Details

### The PositionChanged signal

    PositionChanged ('i'     fields,
                     'i'     timestamp,
                     'd'     latitude,
                     'd'     longitude,
                     'd'     altitude,
                     '(idd)' accuracy)

`fields`: |
`timestamp`: |
`latitude`: |
`longitude`: |
`altitude`: |
`accuracy`: |

## Property Details